PDA

View Full Version : Download Helper Retrying Download



iain2006
October 8th, 2011, 10:54 AM
I'm trying to download some rolling stock with download helper (2004) however it keeps retrying to download a Trainz content file (KUID:-1:42004206 Class 43) and then aborting the download. If I download the asset and the dependencies via FTP and then install them, the item installs no problem. Any solution to this?


Now I look more closely, although it installs manually and appears in the list of rolling stock, it's image wont show up and I can't add it to the track. Any ideas why I may be missing original assets?

iain2006
October 8th, 2011, 05:18 PM
I've done some more digging at I've found the KUID (-1:42004206) in the config file for Class 43 in the "TRS2004/Engines/" folder. Therefore it clearly exists (since I have working versions of an Intercity 125 locomotive liveries and I am able to make more woth Paintshed and use them). Is there anything that could cause the download helper not to recognise this?

I've also discovered I'm having the same problem with content that requires KUID:-1:42004201 the BR MK3 Default wagon, download helper is also trying (and failing) to download this.

shanefos2004
October 9th, 2011, 03:10 AM
I've also discovered I'm having the same problem with content that requires KUID:-1:42004201 the BR MK3 Default wagon, download helper is also trying (and failing) to download this.

I'm experiencing this same annoying problem. It's because KUID:-1:42004201 is for TRS2010 so we TRS2004 users don't have access to it.

Does anyone know if there is a TRS2004 version of the default wagon dependency available for download?

Or does anyone know how to get around not having this dependency?

iain2006
October 9th, 2011, 10:35 AM
I'm experiencing this same annoying problem. It's because KUID:-1:42004201 is for TRS2010 so we TRS2004 users don't have access to it.

Does anyone know if there is a TRS2004 version of the default wagon dependency available for download?

Or does anyone know how to get around not having this dependency?

Only thing I can think would be if possible to find an alternative dependency and edit the KUID number in the config file to suit. What's the KUID number of the main asset you're trying to download?

The issue I'm having though is that download helper is trying to download files it doesn't need to because its already part of the software. I would have thought it would skip this automatically but I cant find anything in the settings to make it do so.

KUID: -1:42004201 is listed as the enginespec in the config files for a number of items of rolling stock I can use, including MK3 coaches I've skinned in Paintshed so clearly it is in the program somewhere. However I can't even find a folder that contains files for original rolling stock that is included with the game, only for engines. Also the downlaod page identifies this as a Trainz SP3 asset.